Functions

# glm::gtx::matrix_selection Namespace Reference

GLM_GTX_matrix_selection extension: Access to matrix columns or rows. More...

## Functions
template<typename T >
detail::tvec2< T > | column (const detail::tmat2x2< T > &m, int index)
| Returns a 2 components vector that contains the row of the matrix m witch values is the ones of the column index.
template<typename T >
detail::tvec3< T > | column (const detail::tmat3x3< T > &m, int index)
| Returns a 3 components vector that contains the row of the matrix m witch values is the ones of the column index.
template<typename T >
detail::tvec4< T > | column (const detail::tmat4x4< T > &m, int index)
| Returns a 4 components vector that contains the row of the matrix m witch values is the ones of the column index.
template<typename T >
detail::tvec3< T > | row (const detail::tmat3x3< T > &m, int index)
| Returns a 3 components vector that contains the row of the matrix m witch values is the ones of the row index.
template<typename T >
detail::tvec2< T > | row (const detail::tmat2x2< T > &m, int index)
| Returns a 2 components vector that contains the row of the matrix m witch values is the ones of the row index.
template<typename T >
detail::tvec4< T > | row (const detail::tmat4x4< T > &m, int index)
| Returns a 4 components vector that contains the row of the matrix m witch values is the ones of the row index.

## Detailed Description

GLM_GTX_matrix_selection extension: Access to matrix columns or rows.

## Function Documentation

detail::tvec2<T> glm::gtx::matrix_selection::column | ( | const detail::tmat2x2< T > & | m,
|  | int | index
| ) |  |

Returns a 2 components vector that contains the row of the matrix m witch values is the ones of the column index.

From GLM_GTX_matrix_selection extension.

detail::tvec3<T> glm::gtx::matrix_selection::column | ( | const detail::tmat3x3< T > & | m,
|  | int | index
| ) |  |

Returns a 3 components vector that contains the row of the matrix m witch values is the ones of the column index.

From GLM_GTX_matrix_selection extension.

detail::tvec4<T> glm::gtx::matrix_selection::column | ( | const detail::tmat4x4< T > & | m,
|  | int | index
| ) |  |

Returns a 4 components vector that contains the row of the matrix m witch values is the ones of the column index.

From GLM_GTX_matrix_selection extension.

detail::tvec3<T> glm::gtx::matrix_selection::row | ( | const detail::tmat3x3< T > & | m,
|  | int | index
| ) |  |

Returns a 3 components vector that contains the row of the matrix m witch values is the ones of the row index.

From GLM_GTX_matrix_selection extension.

detail::tvec2<T> glm::gtx::matrix_selection::row | ( | const detail::tmat2x2< T > & | m,
|  | int | index
| ) |  |

Returns a 2 components vector that contains the row of the matrix m witch values is the ones of the row index.

From GLM_GTX_matrix_selection extension.

detail::tvec4<T> glm::gtx::matrix_selection::row | ( | const detail::tmat4x4< T > & | m,
|  | int | index
| ) |  |

Returns a 4 components vector that contains the row of the matrix m witch values is the ones of the row index.

From GLM_GTX_matrix_selection extension.